SHEBANG
# Copyright @BABOLO (C)2002,2003
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: addon.m4,v 1.2 2008/03/27 02:15:48 babolo Exp $

JNTROSTUP(mailsend,,dnl
,dnl
# jailup ${genclass} <dirlist>
#           dir relative to ${JAILUPDIR}dnl
)

for i in "$@"; do
    main_dir="${JAILUPDIR}/${i}"
    conf_dir="${JAILRODIR}/${i}"
    ${up_mdir} "${main_dir}" ${MTREE}

    ${up_libexe} "${main_dir}/www/bin" "${this}" << EOF
        sendCGImail.cgi
EOF

    cf=sendCGImail.rc
    if  [ -e "${conf_dir}/${cf}" ]; then
        cf=sendCGImail.rc.orig
    fi
    ${sed} -e "s|%%HOST%%|${ADMINEMAIL##*@}|"\
           -e "s|%%ADMINEMAIL%%|${ADMINEMAIL}|" "${TEMPLATE}" > "${conf_dir}/${cf}"

    ${up_mtree} "${main_dir}" ${MTREE}
    ${mtree} -Ueqxp "${conf_dir}" << EOF
/set type=file uname=root gname=wheel mode=0644 flags=none
.			type=dir mode=0755
    ${cf}
..
EOF
done
